import AMapLoader from '@amap/amap-jsapi-loader'

let _loadPromise = null
export const initAMapApiLoader = config => {
	window.AMapLoader = AMapLoader
	_loadPromise = AMapLoader.load(config)
}

let loadPromise = config => {
	return new Promise((resolve, reject) => {
		if (!_loadPromise) {
			initAMapApiLoader(config)
		}
		_loadPromise
			.then(() => {
				resolve(true)
			})
			.catch(() => {
				reject('加载地图失败')
			})
	})
}
export { loadPromise }
